Sign inGet started

List Workspace compliance Requirements

GET
/workspaces/{workspaceId}/endpoints/{endpointId}/compliance-requirements
List compliance requirements for a capability/destination. If no capability/destination is provided, all compliance requirements are returned. This result may be paginated. To learn more about the pagination, please refer to the pagination section on API Access Common API Usage section.
Antwort-Payload
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display. To know more, refer to the pagination section.
results
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.status
string
erforderlich
Possible values: satisfied, pending, unsatisfied
results.mutable
boolean
erforderlich
results.immutableReason
string
Possible values: managed, dependency, none
results.message
string
results.evaluatedAt
string
results.issues
array of string
results.userId
string
results.name
string
erforderlich
results.type
string
erforderlich
Possible values: kyc-form
results.capabilities
array of string
erforderlich
results.destinations
array of string
results.managedBy
string
results.appliesTo
string
Specifies whether this requirement applies to endpoint-level or destination-level evaluation. Empty means both.
Possible values: endpoint, destination
results.forms
array of object
Untergeordnete Attribute anzeigen
results.forms.conditions
object
results.forms.countryCode
string
results.forms.createdAt
string
erforderlich
results.forms.defaultLocale
string
erforderlich
results.forms.gracePeriodDays
integer
results.forms.id
string
erforderlich
results.forms.name
string
erforderlich
results.forms.questions
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.forms.questions.locale
string
erforderlich
results.forms.questions.questions
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.forms.questions.questions.conditions
array of object
Untergeordnete Attribute anzeigen
results.forms.questions.questions.conditions.key
string
results.forms.questions.questions.conditions.value
string
results.forms.questions.questions.description
string
results.forms.questions.questions.displayName
string
erforderlich
results.forms.questions.questions.format
string
erforderlich
Possible values: none
results.forms.questions.questions.key
string
erforderlich
results.forms.questions.questions.mapping
string
Map the answer to a contact attribute. If not set, the answer will not be mapped.
results.forms.questions.questions.options
array of object
Untergeordnete Attribute anzeigen
results.forms.questions.questions.options.key
string
results.forms.questions.questions.options.value
string
results.forms.questions.questions.placeholder
string
results.forms.questions.questions.required
boolean
results.forms.questions.questions.timezone
string
results.forms.questions.questions.type
string
erforderlich
Possible values: bool, boolArray, intArray, float, floatArray
results.forms.questions.questions.formQuestionConfig
object
Untergeordnete Attribute anzeigen
results.forms.questions.questions.formQuestionConfig.stringDatetimeConfig
object
Untergeordnete Attribute anzeigen
results.forms.questions.questions.formQuestionConfig.stringDatetimeConfig.allowTimezoneSelectionByUser
boolean
results.forms.questions.questions.formQuestionConfig.stringDatetimeConfig.datetimeRange
object
erforderlich
Untergeordnete Attribute anzeigen
results.forms.questions.questions.formQuestionConfig.stringDatetimeConfig.datetimeRange.type
string
Possible values: any, future, past
results.forms.questions.questions.formQuestionConfig.stringDatetimeConfig.defaultTimezone
string
results.forms.questions.questions.formQuestionConfig.stringDatetimeConfig.includeTime
boolean
results.forms.questions.questions.formQuestionConfig.stringDatetimeConfig.localeOverride
string
results.forms.questions.questions.formQuestionConfig.stringDatetimeConfig.timeFormat
string
Possible values: am-pm, 24h
results.forms.questions.questions.formQuestionConfig.stringDatetimeConfig.timePlaceholder
string
results.forms.questions.questions.formQuestionConfig.type
string
Possible values: stringDatetime
results.forms.questions.questions.ui:type
string
hint the UI what form to show if type isn't sufficient
Possible values: shortText, longText, dropdown, radio, checkboxSelect
results.forms.scope
string
erforderlich
Possible values: number, organization, channel
results.forms.status
string
erforderlich
Possible values: draft, active, deactivated
results.forms.updatedAt
string
erforderlich
results.formOptions
object
results.formId
string
results.formEntryId
string
results.formEntry
object
Untergeordnete Attribute anzeigen
results.formEntry.answers
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.formEntry.answers.isDefault
boolean
results.formEntry.answers.key
string
erforderlich
results.formEntry.answers.valueString
string
erforderlich
results.formEntry.businessProfileId
string
The ID of an existing Business Profile.
results.formEntry.businessProfileVersion
integer
The version of the Business Profile.
results.formEntry.createdAt
string
erforderlich
results.formEntry.displayName
string
results.formEntry.formId
string
erforderlich
results.formEntry.id
string
erforderlich
results.formEntry.locale
string
erforderlich
results.formEntry.organizationId
string
erforderlich
results.formEntry.reviewComment
string
results.formEntry.status
string
erforderlich
The status of the form entry.
Possible values: draft, submitted, approved, rejected, expired
results.formEntry.tags
array of object
Untergeordnete Attribute anzeigen
results.formEntry.tags.key
string
erforderlich
results.formEntry.tags.value
string
erforderlich
results.formEntry.updatedAt
string
erforderlich
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/endpoints/{endpointId}/compliance-requirements' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'